Skip to main content
POST
Pay credit note

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Path Parameters

id
integer
required

The credit note ID

Example:

1

Body

application/json
journal_id
integer

Payment journal ID. If omitted, the first available journal is used. The id of an existing record in the accounts_journals table.

Example:

1

payment_method_line_id
integer

Payment method line ID for selected journal. If omitted, default method is auto-detected. The id of an existing record in the accounts_payment_method_lines table.

Example:

1

partner_bank_id
integer | null

Partner bank account ID when required by payment method. The id of an existing record in the partners_bank_accounts table.

Example:

3

currency_id
integer

Payment currency ID. If omitted, journal currency or document currency is used. The id of an existing record in the currencies table.

Example:

1

payment_date
string

Payment date. Must be a valid date.

Example:

"2026-02-17"

communication
string

Payment reference/communication. Must not be greater than 255 characters.

Example:

"INV/2026/0001"

installments_mode
enum<string> | null

Installment mode.

Available options:
full,
overdue,
before_date,
next
Example:

"full"

amount
number

Payment amount. Must be at least 0.0001.

Example:

250.75

Response

Success